/*
 * Copyright (C) 2008 The Trustees of Columbia University in the City of New York. 
 * All rights reserved.
 *
 * See the file LICENSE included in this distribution for details.
 */

#include "table.h"

Table::Table() {
	
}

Table::~Table() {
	
}


int32 Table::Insert(const struct peerinfo& stP, int32 updateKA){
  
  return 0;
}


int32 Table::Insert(const list<peerinfo>& lstP, int32 updateKA) {

  return 0;
}//Insert


int32 Table::Insert(const struct peerinfo& stP, int32 updateKA, uint16 stunPort) {

  return 0;
}//Insert


int32 Table::OnTimer() {
  
  return 1;
}//OnTimer


void Table::Disconnect() {
  
}//Disconnect


void Table::setParams(Peer* pPeer) {
  m_pPeer = pPeer;  
}//setParams
